> For the complete documentation index, see [llms.txt](https://docs.guibo.travel/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guibo.travel/developers/content-api/content-or-create-library-or-guidebook-1.md).

# Content | 6. Guidebook

Guidebooks contain the complete itinerary for your travel products, giving travelers everything they need to know throughout their journey.

### A) Create Guidebook

Create a guidebook with a customID helps to reference it when creating a Release. The attribute "customId" can be referenced by the parameter "externalGuidebookId" as explained in this article:

{% content-ref url="/pages/40QPpCsGn5x7cntYyrUM" %}
[Release | Create guidebook release](/developers/releases-api/release-or-create-guidebook-release.md)
{% endcontent-ref %}

* Replace <mark style="color:orange;">CCCCC</mark> with the Account ID, you can find this under Account Settings > General Settings > Account ID
* You can find the API key under Account Settings > General Settings > API Key

```javascript

curl --location -X POST 'https://services.schneidergeo.com/content/guidebook' \
--header 'Authorization: xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
    "account":"CCCCCC",
    "customId":"ABCABC",
    "names":{
        "de":"Transalp mit dem Gravelbike",
        "en":"TRANS-ALP ON GRAVEL BIKE"
    }
}'
```

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | API key     |

### B) Delete Guidebook

* Replace <mark style="color:orange;">GGGGGG</mark> with the Guidebook ID,
* You can find the API key under Account Settings > General Settings > API Key

```javascript

curl --location -X DELETE 'https://services.schneidergeo.com/content/guidebook/GGGGGG' \
--header 'Authorization: xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx' 

```

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | API key     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.guibo.travel/developers/content-api/content-or-create-library-or-guidebook-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
